import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nuntio_hera/hera/hera.dart';
import 'package:nuntio_hera/hera_ui/hera_ui.dart';
import 'package:nuntio_hera/hera_ui/models.dart';
import 'package:with_ui_example/home/home.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await Hera.initialize(
    debug: true,
    publicApiKey: 'eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJwcm9qZWN0X2lkIjoiMTljOWQ3NDMtZDAxZS00Y2I5LTk3NzYtMDhlNGIwZjlhMDAxIiwicGFydG5lcl9pZCI6Im51bnRpby1jbG91ZC1mci1wYXItMSIsImFwaV91cmwiOiJmci1wYXItMS5udW50aW8uaW86NDQzIiwia2V5X3R5cGUiOjIsImp0aSI6IjM4MmFhNTcwLTc2NWQtNGMzNS1hMTYzLTJhNmM1OGI3ODgwZSIsImlzcyI6Im51bnRpby1jbG91ZC1pc3N1ZXIifQ.V4R0FjjAjTzuOyZPZj1Htv96hzI-m-pCLCRpu9kjGTaaMzvpJNcnoEZKnJn-QjH6PKdVFm1ARX-0MyHWy93WqoqsCMHCIbDeO4oduhPZmrn8mMY1hwWOSNhLmkADAe5gX3RgtYNY4W8ufjTRVjXG2IrduHMwLuBYQHBa8GqIRqk-eoh20VDPwA8tnmh1WCQ86BoQ08OmNc5yr87Z0SxpHjQaF6N5yl10XGX_uFfLjjV25HmY65jXSyO5ayHfoNiDfs4fkfBvRTsJZljmlXhkyCmH6NVMUSRsEPmZLAYTUNAD-lmAHVeySxqHG0_As-mXs2uNmQIty2cpNW-7sU1z8g'
  );
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return HeraUI(
      //excludeAuthMechanisms: [LoginType.EMAIL_PASSWORD],
      heraTextStyle: HeraTextStyle(),
      brightness: Brightness.light,
      child: Home(),
    );
  }
}
